%define		subver	2016-08-10
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		sqlite
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki helper plugin to easily access a SQLite database
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/cosmocode/sqlite/archive/da9a21e/%{plugin}-%{version}.tar.gz
# Source0-md5:	919e54158e1fa924d74dd6b7e17424e7
URL:		http://www.dokuwiki.org/plugin:sqlite
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
BuildRequires:	unzip
Requires:	dokuwiki >= 20140505
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
# you should pick one:
Suggests:	php(pdo-sqlite)
Suggests:	php(sqlite)
Conflicts:	dokuwiki-plugin-data < 20120624
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
DokuWiki helper plugin to easily access a SQLite database for other
DokuWiki plugins.

The plugin comes with a simple admin interface where you can run your
own SQL queries against any of the available databases.

%prep
%setup -qc
mv %{plugin}-*/{.??*,*} .

rm .travis.yml

%build
version=$(awk '/date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} -r $RPM_BUILD_ROOT%{plugindir}/_test
%{__rm} $RPM_BUILD_ROOT%{plugindir}/README

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.css
%{plugindir}/*.php
%{plugindir}/db.sql
%{plugindir}/classes
%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-sqlite.git;a=log;h=master

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> 4f01da4
- rel 1

* Thu Nov 03 2016 Elan Ruusamäe <glen@delfi.ee> c05abb4
- fix install

* Thu Nov 03 2016 Elan Ruusamäe <glen@delfi.ee> 5eeeecf
- up to 2016-08-10

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 5e5682e
- use virtual php deps
- release 7 (by relup.sh)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> ce900ea
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> eaf6c03
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Sun Jul 15 2012 Elan Ruusamäe <glen@delfi.ee> 1161462
- package README

* Sun Jul 15 2012 Elan Ruusamäe <glen@delfi.ee> 027a96c
- switch to pdo

* Sun Jun 24 2012 Elan Ruusamäe <glen@pld-linux.org> f54b83d
- up to 20120131

* Thu May 13 2010 sparky <sparky@pld-linux.org> fba8e7d
- BR: unzip

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> 84e4360
- fix BR

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> f72f606
- new

